Summary:	General-purpose scalable concurrent malloc implementation
Summary(pl.UTF-8):	Ogólnego przeznaczenia, skalowalna, współbieżna implementacja funkcji malloc
Name:		jemalloc
Version:	3.4.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://www.canonware.com/download/jemalloc/%{name}-%{version}.tar.bz2
# Source0-md5:	ad66a973a79717207f8fb76996966836
# Remove pprof, as it already exists in google-perftools
Patch0:		no_pprof.patch
URL:		http://www.canonware.com/jemalloc/
BuildRequires:	libxslt-progs
# list from include/jemalloc/internal/jemalloc_internal.h.in
ExclusiveArch:	%{ix86} %{x8664} alpha arm ia64 mips ppc s390x sh4 sparc64 tile
# broken for us
# alpha: Missing implementation for 64-bit atomic operations"
# alpha: Missing implementation for 32-bit atomic operations"
ExcludeArch:	alpha
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
General-purpose scalable concurrent malloc(3) implementation. This
distribution is the stand-alone "portable" implementation of jemalloc.

%description -l pl.UTF-8
Ogólnego przeznaczenia, skalowalna, współbieżna implementacja funkcji
malloc(3). Ten pakiet zawiera samodzielną "przenośną" implementację
jemalloc.

%package devel
Summary:	Development files for jemalloc
Summary(pl.UTF-8):	Pliki programistyczne biblioteki jemalloc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for developing applications
that use jemalloc library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę jemalloc.

%package static
Summary:	Static jemalloc library
Summary(pl.UTF-8):	Statyczna biblioteka jemalloc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static jemalloc library.

%description static -l pl.UTF-8
Statyczna biblioteka jemalloc.

%prep
%setup -q
%patch0 -p1

# This is truncated during build. Seems interesting to save.
cp -p VERSION version

%build
%configure \
	--with-jemalloc-prefix=je_

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# restore
cp -pf version VERSION

# soname improperly made, use fake main name (just use our current version)
mv $RPM_BUILD_ROOT%{_libdir}/libjemalloc.so.{1,%{version}}
ln -s $(basename $RPM_BUILD_ROOT%{_libdir}/libjemalloc.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libjemalloc.so.1

# Install this with doc macro instead
%{__rm} $RPM_BUILD_ROOT%{_docdir}/%{name}/jemalloc.html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README VERSION doc/jemalloc.html
%attr(755,root,root) %{_bindir}/jemalloc.sh
%attr(755,root,root) %{_libdir}/libjemalloc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjemalloc.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjemalloc.so
%{_includedir}/jemalloc
%{_mandir}/man3/jemalloc.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libjemalloc.a
%{_libdir}/libjemalloc_pic.a
%changelog
* Sat Oct 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jemalloc.git;a=log;h=master

* Sat Oct 26 2013 Jakub Bogusz <qboosh@pld-linux.org> b90f032
- updated to 3.4.1

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> b11c9f8
- updated to 3.4.0

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 433c2fb
- updated to 3.3.1

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> ca009ba
- updated to 3.3.0

* Tue Nov 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 5e021f0
- updated to 3.2.0

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 769e7c9
- updated to 3.1.0

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> baca478
- updated to 3.0.0
- updated no_pprof patch

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 48ca5e4
- rel 3
- reenable prefix, redis _requires_ it (see redis src/Makefile)

* Mon Dec 12 2011 Elan Ruusamäe <glen@pld-linux.org> e470056
- blah, no prefix system wide; redis needs patched otherwise

* Sat Nov 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 6717edc
- updated to 2.2.5

* Fri Nov 11 2011 Jakub Bogusz <qboosh@pld-linux.org> fe011b8
- updated to 2.2.4

* Sun Nov 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 9db9c4b
- pl, cleanup

* Mon Oct 31 2011 Elan Ruusamäe <glen@pld-linux.org> 90651f6
- ppc and sparc32 is not supported by upstream either

* Mon Oct 31 2011 Elan Ruusamäe <glen@pld-linux.org> 81f4deb
- update arch list

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> f72bc09
- prefix symbols with je_ (for redis 2.4, feel free to do it otherwise so it would work)

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> 0f6e49a
- up to 2.2.3

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> 2bbbeb5
- new, based on fedora package

